# 當日成交明細

`GET` `/v1/trade/execution/today`

該接口用於獲取當日訂單的成交明細。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | No | 股票代碼，使用 `ticker.region` 格式，例如：`AAPL.US` |
| `order_id` | string | No | 訂單 ID，用於指定訂單 ID 查詢，例如：`701276261045858304` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/trade/execution/today' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `trades` | object[] | No | 成交明細信息 |
| `└ trade_id` | string | No | 成交 ID |
| `└ order_id` | string | No | 訂單 ID |
| `└ symbol` | string | No | 股票代碼，使用 `ticker.region` 格式，例如：`AAPL.US` |
| `└ price` | string | No | 成交價格 |
| `└ quantity` | string | No | 成交數量 |
| `└ trade_done_at` | string | No | 成交時間，格式為時間戳 (秒) |
| `└ side` | string | No | 買賣方向。**可選值：**, `Buy` - 買入，`Sell` - 賣出 |
| `has_more` | boolean | No | 是否還有更多數據。. 每次查詢最大訂單數量為 1000，如果查詢結果數量超過 1000，那麼 has_more 就會為 true |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "trades": [
      {
        "order_id": "693664675163312128",
        "price": "388",
        "quantity": "100",
        "side": "Buy",
        "symbol": "700.HK",
        "trade_done_at": "1648611351",
        "trade_id": "693664675163312128-1648611351433741210"
      }
    ]
  }
}
```
